/*
    Copyright (C) 1995-1998 AROS - The Amiga Research OS
    $Id: getfilesystask.c,v 1.1.1.1 2005/03/15 15:54:40 laire Exp $

    Desc: Get the filesystem handler for a process.
    Lang: english
*/
#include "dos_intern.h"
#include <proto/exec.h>

/*****************************************************************************

    NAME */
#include <dos/dosextens.h>
#include <proto/dos.h>

	AROS_LH0(struct MsgPort *, GetFileSysTask,

/*  SYNOPSIS */
	/* void */

/*  LOCATION */
	struct DosLibrary *, DOSBase, 87, Dos)

/*  FUNCTION
	Return the default filesystem handler for this process.

    INPUTS
	None.

    RESULT
	The default filesystem handler for this process.

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO
	SetFileSysTask()

    INTERNALS

    HISTORY
	27-11-96    digulla automatically created from
			    dos_lib.fd and clib/dos_protos.h

*****************************************************************************/
{
    AROS_LIBFUNC_INIT
    AROS_LIBBASE_EXT_DECL(struct DosLibrary *,DOSBase)

    struct Process *me = (struct Process *)FindTask(NULL);

    DEBUG_ACCESSOR(dprintf("GetFileSysTask: me = $%lx, task = $%lx\n",
		(ULONG) me, me->pr_Task.tc_Node.ln_Type == NT_PROCESS ? (ULONG) me->pr_FileSystemTask : 0));

    FAILFORTASK(me, return 0;)

    return me->pr_FileSystemTask;

    AROS_LIBFUNC_EXIT
} /* GetFileSysTask */
